Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.event_channel
Class EventChannelFactory

    java.lang.Object
      com.bea.wlcp.wlng.api.event_channel.EventChannelFactory

public abstract class EventChannelFactory
extends Object

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Constructor Summary
`EventChannelFactory()`

Method Summary
`abstract EventChannel` | `createEventChannel(String serviceInstanceName)` Creates a new EventChannel for a specific service.
`abstract void` | `deactivateListeners(String serviceInstanceName)` Deactivates all CORBA servants belonging to a specific service.
`static EventChannelFactory` | `getFactory()`
`abstract void` | `removeEventChannelUser(String serviceInstanceName)` Remove a SLEEEventChannel user (for a specific service)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventChannelFactory

    public EventChannelFactory()

Method Detail

### createEventChannel

    public abstract EventChannel createEventChannel(String serviceInstanceName)

  Creates a new EventChannel for a specific service.

  Parameters:
    `serviceInstanceName` -
  Returns:

### deactivateListeners

    public abstract void deactivateListeners(String serviceInstanceName)

  Deactivates all CORBA servants belonging to a specific service. This method is called when a service is deactivated.

  Parameters:
    `serviceInstanceName` -

### getFactory

    public static EventChannelFactory getFactory()

### removeEventChannelUser

    public abstract void removeEventChannelUser(String serviceInstanceName)

  Remove a SLEEEventChannel user (for a specific service)

  Parameters:
    `serviceInstanceName` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD